# Getting Started

{% hint style="info" %}
Please complete [this form](https://forms.gle/4GWG8LX6GzAYRaSK6)[ ](https://forms.gle/cJ6aehR4Y7j3uKwY9)to obtain your API Keys.
{% endhint %}

## Mathematical Operations

All numbers sent and received through the Uniramp API are represented as integers. No floating point or decimal values are used by the API.

### Representing Fiat and Cryptocurrency

Numbers representing currencies (fiat and cryptocurrency) should be converted to the smallest unit. For example, Ethereum should be represented as Wei and United States Dollar should be represented by cents. A $100 USD can be represented by 10000. A formula for the conversion can be found below:

<pre><code><strong>amount * (10 ** decimal)
</strong></code></pre>

We highly recommend using [bigint](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/BigInt) (for javascript) or an equivalent data type.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uniramp.com/product/api/getting-started.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
